ifort en un AMD64

Imagen de rayohauno
0 puntos

hola gente. programo en fortran porque trabajo haciendo simulaciones numéricas. estoy haciendo el Phd. en física. recientemente adquirí un AMD64 (reemplace mi viejo PII que usaba sólo como terminal). instalé ubuntu
con éxito después de fracasar varias veces con otras distribuciones que no me detectaban el SATA II.

deseo instalar ifort. pero la instalación se interrumpe con el siguiente mensaje de "error" :

***************************************************************************************************************

Which of the following would you like to do?
1. Typical Install (Recommended - Installs All Components).
2. Custom Install (Advanced Users Only).
x. Exit.

Please type a selection: 1
./.././data/install_fc.sh: line 1408: rpm: command not found

The installation program was not able to detect the IA32 version of the following libraries installed :
libstdc++
libgcc
glibc

Without these libraries, the compiler will not function properly.
These libraries, if not installed, can be installed from
the OS discs after finishing the compiler installation.
Please refer to Release Notes for more information.

Would you like to continue with the install (Yes/No)? :

***************************************************************************************************************

he puesto que no. no se donde conseguir esas librerías, y además tengo miedo que al instalarlas reemplacen
las de 64 bits y deje de funcionar ubuntu.

¿que debo hacer?

saludos. rayo.

Imagen de rayohauno
+1
0
-1

He seguido los consejos de las páginas:

http://www.theochem.uwa.edu.au/fortran/intel_on_debian

en donde en particular dice ignorar el hecho de que no encuentre las librerías:

libstdc++
libgcc
glibc

he concluido la instalaciós sin mayores "avisos" que este a ignorar. pero cuando
quiero compilar algún archivo.f90, me sale el siguiente "aviso":

ld: skipping incompatible /usr/lib/libm.so when searching for -lm
ld: skipping incompatible /usr/lib/libm.a when searching for -lm
ld: skipping incompatible /usr/bin/../lib/libm.so when searching for -lm
ld: skipping incompatible /usr/bin/../lib/libm.a when searching for -lm
ld: skipping incompatible /usr/lib/libm.so when searching for -lm
ld: skipping incompatible /usr/lib/libm.a when searching for -lm
ld: cannot find -lm

que debo hacer ??

+1
0
-1
Imagen de Anónimo
+1
0
-1

Me ocurre exactamente lo mismo que a ti. Por favor, puede algiuen aclarar porqué aparecen estos erores??

+1
0
-1